---
title: color-interpolation-filters
slug: Web/SVG/Attribute/color-interpolation-filters
tags:
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>color-interpolation-filters</code></strong> attribute specifies the color space for imaging operations performed via filter effects.</p>

<div class="notecard note">
<p><strong>Notes:</strong> This property just has an affect on filter operations. Therefore, it has no effect on filter primitives like {{SVGElement("feOffset")}}, {{SVGElement("feImage")}}, {{SVGElement("feTile")}} or {{SVGElement("feFlood")}}.</p>

<p><code>color-interpolation-filters</code> has a different initial value than {{SVGAttr("color-interpolation")}}. <code>color-interpolation-filters</code> has an initial value of <code>linearRGB</code>, whereas <code>color-interpolation</code> has an initial value of <code>sRGB</code>. Thus, in the default case, filter effects operations occur in the linearRGB color space, whereas all other color interpolations occur by default in the sRGB color space.</p>

<p>It has no affect on filter functions, which operate in the {{Glossary("sRGB")}} color space.</p>
</div>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>color-interpolation</code> can be used as a CSS property.</p>

<p>As a presentation attribute, it can be applied to any element but it only has an effect on the following eighteen elements: {{SVGElement("feSpotLight")}}, {{SVGElement("feBlend")}}, {{SVGElement("feColorMatrix")}}, {{SVGElement("feComponentTransfer")}}, {{SVGElement("feComposite")}}, {{SVGElement("feConvolveMatrix")}}, {{SVGElement("feDiffuseLighting")}}, {{SVGElement("feDisplacementMap")}}, {{SVGElement("feDropShadow")}}, {{SVGElement("feFlood")}}, {{SVGElement("feGaussianBlur")}}, {{SVGElement("feImage")}}, {{SVGElement("feMerge")}}, {{SVGElement("feMorphology")}}, {{SVGElement("feOffset")}}, {{SVGElement("feSpecularLighting")}}, {{SVGElement("feTile")}}, {{SVGElement("feTurbulence")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <code>sRGB</code> | <code>linearRGB</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>linearRGB</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>discrete</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>auto</code></dt>
 <dd>Indicates that the user agent can choose either the <code>sRGB</code> or <code>linearRGB</code> spaces for color interpolation. This option indicates that the author doesn't require that color interpolation occur in a particular color space.</dd>
 <dt><code>sRGB</code></dt>
 <dd>Indicates that color interpolation should occur in the sRGB color space.</dd>
 <dt><code>linearRGB</code></dt>
 <dd>Indicates that color interpolation should occur in the linearized RGB color space as described in <a class="external" href="https://webstore.iec.ch/publication/6169">the sRGB specification</a>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#ColorInterpolationFiltersProperty", "color-interpolation")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No significant change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "painting.html#ColorInterpolationFiltersProperty", "color-interpolation-filters")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.color-interpolation-filters")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a class="external" href="https://webstore.iec.ch/publication/6169">sRGB specification</a></li>
 <li>{{SVGAttr("color-interpolation")}}</li>
</ul>
